Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 184123 - media-sound/oss4 (new ebuild)
Summary: media-sound/oss4 (new ebuild)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 8 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://developer.opensound.com/sources/
Whiteboard:
Keywords: EBUILD
: 184274 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-07-03 18:46 UTC by Tomasz Mon
Modified: 2015-04-09 15:29 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-sound/oss4-1004.ebuild (oss4-1004.ebuild,1.61 KB, text/plain)
2007-08-27 08:26 UTC, Tomasz Mon
Details
oss-4.0.1006.ebuild (oss-4.0.1006.ebuild,1.15 KB, text/plain)
2007-08-31 03:04 UTC, Cristi Magherusan
Details
4.0.1006-change-cflags.patch (4.0.1006-change-cflags.patch,6.15 KB, patch)
2007-08-31 03:05 UTC, Cristi Magherusan
Details | Diff
4.0.1006-make.patch (4.0.1006-make.patch,498 bytes, patch)
2007-08-31 03:06 UTC, Cristi Magherusan
Details | Diff
oss (oss,369 bytes, text/plain)
2007-08-31 03:08 UTC, Cristi Magherusan
Details
oss-4.0.1007.ebuild (oss-4.0.1007.ebuild,1.90 KB, text/plain)
2007-09-19 19:20 UTC, Cristi Magherusan
Details
ossxmix_fix_segfault.patch (ossxmix_fix_segfault.patch,914 bytes, patch)
2007-09-19 19:21 UTC, Cristi Magherusan
Details | Diff
oss-4.0.1008.ebuild (oss-4.0.1008.ebuild,2.07 KB, text/plain)
2007-10-11 16:26 UTC, Cristi Magherusan
Details
This version installs the init script as /etc/init.d/oss4 as opposed to /etc/init.d/oss - see comment for reason (oss-4.0.1008-r1.ebuild,2.08 KB, text/plain)
2007-11-01 20:55 UTC, Jozsef Daniel
Details
soundon_no_libsalsa.patch (soundon_no_libsalsa.patch,1.87 KB, patch)
2007-11-02 18:07 UTC, Jozsef Daniel
Details | Diff
oss-4.0.1008-r2.ebuild (oss-4.0.1008-r2.ebuild,2.15 KB, text/plain)
2007-11-02 18:08 UTC, Jozsef Daniel
Details
oss-4.0.1009.ebuild (oss-4.0.1009.ebuild,2.25 KB, text/plain)
2007-11-14 02:32 UTC, Cristi Magherusan
Details
soundon_no_libsalsa.patch (soundon_no_libsalsa.patch,1.86 KB, text/plain)
2007-11-14 02:33 UTC, Cristi Magherusan
Details
oss-v4.1test0-071114 test drop ebuild (oss-4.1.0.071114.ebuild,2.90 KB, text/plain)
2007-12-01 21:26 UTC, Drew Patridge
Details
updated for oss-v4.1test0-071114 (oss-4.1.0.071114-soundon_no_libsalsa.patch,1.92 KB, patch)
2007-12-01 21:26 UTC, Drew Patridge
Details | Diff
srcconf patch to make it configure correctly (oss-4.1.0.071114-srcconf.patch,475 bytes, patch)
2007-12-01 21:29 UTC, Drew Patridge
Details | Diff
oss-v4.1test0-071126 test drop ebuild (oss-4.1.0.071126.ebuild,2.73 KB, text/plain)
2007-12-15 20:03 UTC, Drew Patridge
Details
oss-v4.1test0-071126 patch to remove libsalsa (oss-4.1.0.071126-soundon_no_libsalsa.patch,1.80 KB, patch)
2007-12-15 20:06 UTC, Drew Patridge
Details | Diff
oss-v4.1test0-071126 patch to fix srcconf (oss-4.1.0.071126-srcconf.patch,345 bytes, text/plain)
2007-12-15 20:07 UTC, Drew Patridge
Details
oss-gentoo_install_sh.patch (oss-gentoo_install_sh.patch,4.21 KB, patch)
2008-01-02 17:39 UTC, Thomas Kuther
Details | Diff
OSS init file (oss,712 bytes, text/plain)
2008-02-06 12:41 UTC, Michał Lipski
Details
OSS install.sh patch (oss-4.0.1013-install_sh.patch,4.26 KB, patch)
2008-02-06 12:42 UTC, Michał Lipski
Details | Diff
OSS soundon no libsalsa patch (oss-4.0.1013-soundon_no_libsalsa.patch,1.86 KB, patch)
2008-02-06 12:42 UTC, Michał Lipski
Details | Diff
Ebuild for OSS 4.0 build1013 (oss-4.0.1013.ebuild,2.45 KB, text/plain)
2008-02-06 12:44 UTC, Michał Lipski
Details
oss init script which kills all processes accessing oss prior to stopping (oss,522 bytes, text/plain)
2008-05-19 18:37 UTC, Christian Speckner
Details
oss-4.1.1050-build-fixes.patch (oss-4.1.1050-build-fixes.patch,2.58 KB, patch)
2008-12-22 04:58 UTC, Lars Wendler (Polynomial-C)
Details | Diff
oss-4.1.1050-install_sh.patch (oss-4.1.1050-install_sh.patch,4.99 KB, patch)
2008-12-22 04:58 UTC, Lars Wendler (Polynomial-C)
Details | Diff
oss-4.1.1050-soundon_no_libsalsa.patch (oss-4.1.1050-soundon_no_libsalsa.patch,1.19 KB, patch)
2008-12-22 04:58 UTC, Lars Wendler (Polynomial-C)
Details | Diff
oss-4.1.1050.ebuild (oss-4.1.1050.ebuild,2.46 KB, text/plain)
2008-12-22 05:04 UTC, Lars Wendler (Polynomial-C)
Details
Modified ebuild for 4.1-1051 (oss-4.1.1051.ebuild,2.51 KB, text/plain)
2008-12-28 14:21 UTC, Christian Speckner
Details
Modified build-fix patch for 4.1.1051 (oss-4.1.1051-build-fixes.patch,2.42 KB, patch)
2008-12-28 14:22 UTC, Christian Speckner
Details | Diff
Patch for ossxmix, see below (oss-4.1.1051-fix_ossxmix.patch,671 bytes, patch)
2008-12-28 14:22 UTC, Christian Speckner
Details | Diff
Revised verstion of the patch to ossxmix (oss-4.1.1051-fix_ossxmix.patch,726 bytes, patch)
2009-01-01 18:25 UTC, Christian Speckner
Details | Diff
patch for compile against 2.6.29 (oss-4.1.1051-kernel-2.6.29.patch,408 bytes, patch)
2009-02-10 22:03 UTC, steffen stramm
Details | Diff
oss ebuild that uses the 2.6.29 patch (oss-4.1.1051.ebuild,2.54 KB, text/plain)
2009-02-10 22:04 UTC, steffen stramm
Details
new ebuild for 4.1.1052b (oss-4.1.1052-r1.ebuild,1.69 KB, text/plain)
2009-12-15 16:09 UTC, Hongjiu Zhang
Details
New ebuild for oss-4.1.1052b (oss-4.1.1052b.ebuild,1.82 KB, text/plain)
2009-12-16 02:47 UTC, Hongjiu Zhang
Details
No pie for kernel modules patch (oss-4.1.1052b-nopie.patch,539 bytes, patch)
2009-12-16 02:47 UTC, Hongjiu Zhang
Details | Diff
Ebuild for oss-4.2.2002 (oss-4.2.2002.ebuild,1.65 KB, text/plain)
2009-12-16 03:35 UTC, Hongjiu Zhang
Details
No pie for kernel modules patch (4.2build2002) (oss-4.2.2002-nopie.patch,387 bytes, patch)
2009-12-16 03:36 UTC, Hongjiu Zhang
Details | Diff
new ebuild for 4.2.2002 (oss-4.2.2002.ebuild,6.14 KB, text/plain)
2009-12-16 13:45 UTC, Hongjiu Zhang
Details
Patch for hardened-source building (pax.patch,1.11 KB, patch)
2011-12-29 18:46 UTC, Hongjiu Zhang
Details | Diff
ebuild for 4.2 build 2005 (oss-4.2.2005.ebuild,1.68 KB, text/plain)
2011-12-29 18:49 UTC, Hongjiu Zhang
Details
oss-4.2.2005.ebuild (oss-4.2.2005.ebuild,1.68 KB, text/plain)
2012-07-29 16:00 UTC, Marcus Becker
Details
remove_wWerror.patch (remove_wWerror.patch,496 bytes, text/plain)
2012-07-29 18:38 UTC, Marcus Becker
Details
oss-4.2.2006.ebuild (oss-4.2.2006.ebuild,1.76 KB, text/plain)
2012-07-29 21:01 UTC, Marcus Becker
Details
oss-4.2.2009.ebuild (oss-4.2.2009.ebuild,1.76 KB, text/plain)
2014-08-12 18:18 UTC, Andrey Aleksandrovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Mon 2007-07-03 18:46:49 UTC
CULVER CITY, CA, June 14, 2007: 4Front Technologies is proud to announce 
the release of the source code to Open Sound System (OSS) v4.0. The software 
currently runs on Linux, Solaris, SCO UnixWare and FreeBSD platforms. 

Open Sound System is now available under 3 licenses: 
-GNU Public License (GPL) version 2
-Common Development and Distribution License (CDDL) for all operating 
systems that have full source code available under the BSD or CDDL 
licenses.
-4Front commercial license for using Open Sound incompatible with 
open source licenses listed above. Commercial licenses are also 
available for entities not wishing to use Open Sound System under any 
of the above open source licenses

Sources can be downloaded from http://developer.opensound.com/sources/

Reproducible: Always
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-07-05 09:54:54 UTC
*** Bug 184274 has been marked as a duplicate of this bug. ***
Comment 2 karpi 2007-07-11 20:44:32 UTC
Ive found two ebuilds in audio overlay:

http://gimpel.ath.cx/~tom/files/portage-overlay/gimpel/media-sound/oss-linux/oss-linux-4.0_rc8.ebuild
http://gimpel.ath.cx/~tom/files/portage-overlay/gimpel/media-sound/oss/oss-4.0.ebuild

But dosnot works both for me.
Upstream source distribution compiled succefully (by hand, outside ebuild environment)
Comment 3 Tomasz Mon 2007-08-27 08:26:23 UTC
Created attachment 129295 [details]
media-sound/oss4-1004.ebuild

Attached ebuild is not too nice, but successfully emerges oss4
Comment 4 Cristi Magherusan 2007-08-31 03:04:11 UTC
Created attachment 129654 [details]
oss-4.0.1006.ebuild

it is based on desowin's but a little more polished
enjoy!

Caution!!! I'm a beginner so it may have some flaws, but it seems to work.
Comment 5 Cristi Magherusan 2007-08-31 03:05:07 UTC
Created attachment 129655 [details, diff]
4.0.1006-change-cflags.patch

cflags patch
Comment 6 Cristi Magherusan 2007-08-31 03:06:23 UTC
Created attachment 129657 [details, diff]
4.0.1006-make.patch

patching makefiles
these patches replace desowin's sed commands, actually that's how i made them.
Comment 7 Cristi Magherusan 2007-08-31 03:08:02 UTC
Created attachment 129658 [details]
oss

Simple gentoo initscript for OSS4.
I think I got this one from Monkeh, Thanks!
Comment 8 Cristi Magherusan 2007-08-31 03:16:16 UTC
Expected file structure by my ebuild (applies to current source drop):

${OVERLAY}/media-sound/oss/oss-4.0.1006.ebuild
${OVERLAY}/media-sound/oss/files/4.0.1006-change-cflags.patch
${OVERLAY}/media-sound/oss/files/4.0.1006-make.patch
${OVERLAY}/media-sound/oss/files/oss

Any improvements are welcome, hopefully one day this will get into portage.

Cristi (majeru) Magherusan 
Comment 9 Cristi Magherusan 2007-08-31 08:12:38 UTC
Comment on attachment 129654 [details]
oss-4.0.1006.ebuild

improved ebuild for oss-v4
Comment 10 Cristi Magherusan 2007-08-31 08:15:06 UTC
Comment on attachment 129657 [details, diff]
4.0.1006-make.patch

patches the makefiles
Comment 11 Cristi Magherusan 2007-08-31 08:16:21 UTC
Comment on attachment 129658 [details]
oss

simple initscript
Comment 12 Cristi Magherusan 2007-09-19 19:20:15 UTC
Created attachment 131327 [details]
oss-4.0.1007.ebuild

Hello,

New in this version:
 * Bumped the version to build 1007.
 * Switched back to sed commands for the Makefiles, for easier maintainance.
 * Included a small patch written by seawright that works around the ossxmix crashes.

Enjoy!

Regards,
Cristi
Comment 13 Cristi Magherusan 2007-09-19 19:21:28 UTC
Created attachment 131329 [details, diff]
ossxmix_fix_segfault.patch

works around the ossxmix segfaults
Comment 14 Cristi Magherusan 2007-10-11 16:26:08 UTC
Created attachment 133153 [details]
oss-4.0.1008.ebuild

bump to build 1008 and minor fixes

The  4.0.1007-ossxmix_fix_segfault.patch file must be renamed ossxmix_fix_segfault.patch

Cristi
Comment 15 Cristi Magherusan 2007-10-11 16:27:09 UTC
Comment on attachment 131329 [details, diff]
ossxmix_fix_segfault.patch

renamed the patch to be version-independent
Comment 16 Jozsef Daniel 2007-11-01 20:52:05 UTC
WARNING!

The init script should be called something DIFFERENT and not "oss", as oss itself apparently installs a gentoo-unfriendly script into /etc/init.d by that name at the first run of soundon, thus overwriting ours.

I suggest the gentoo script be called "oss4".
Comment 17 Jozsef Daniel 2007-11-01 20:55:28 UTC
Created attachment 134965 [details]
This version installs the init script as /etc/init.d/oss4 as opposed to /etc/init.d/oss - see comment for reason
Comment 18 Jozsef Daniel 2007-11-02 18:07:06 UTC
Created attachment 135027 [details, diff]
soundon_no_libsalsa.patch

I've found a most disturbing behavior in soundon. It overwrites the alsa library symlinks with the libsalsa emulation library. Too bad that libsalsa is far from production quality, and practically kills all alsa-dependent apps.

I created a patch to disable this behavior, and a new ebuild that uses the patch.
Comment 19 Jozsef Daniel 2007-11-02 18:08:16 UTC
Created attachment 135029 [details]
oss-4.0.1008-r2.ebuild
Comment 20 Tomasz Mon 2007-11-04 11:20:59 UTC
(In reply to comment #16)
> The init script should be called something DIFFERENT and not "oss", as oss
> itself apparently installs a gentoo-unfriendly script into /etc/init.d by that
> name at the first run of soundon, thus overwriting ours.
> 
> I suggest the gentoo script be called "oss4".

Shouldn't we just patch it to don't install that gentoo-unfriendly script?

or perhaps overwrite setup/Linux/oss/etc/S89oss with our own script?
Comment 21 Cristi Magherusan 2007-11-14 02:32:41 UTC
Created attachment 135932 [details]
oss-4.0.1009.ebuild

Hello,
I have updated the ebuild, as follows:

New in this version (2007-11-14):
   * version bump to build 1009
   * got rid of a couple of sed's
   * removed the ossxmix patch, not needed anymore
   * introduced the libsalsa patch from Jozsef Daniel, but didn't tested it    
   * the libsalsa patch was modified to be applied at unpack()
   * made our initscript install as it should, by overwriting the default one
Comment 22 Cristi Magherusan 2007-11-14 02:33:59 UTC
Created attachment 135933 [details]
soundon_no_libsalsa.patch

modified it so it can be applied at unpack()
Comment 23 Michał Lipski 2007-11-21 17:39:29 UTC
I've emerged oss-4.0.1009 but I'm getting:


# /etc/init.d/oss start 
 * Caching service dependencies ...                                                                                                                    [ ok ]
 * Starting OSS ...
/usr/sbin/soundon: line 38:  7872 Segmentation fault   /usr/sbin/ossdetect -v >> $LOG
No /usr/lib/oss/etc/installed_drivers - cannot continue
/dev/mixer: No such device or address
 * Failed to start OSS

 
So I've created file: /usr/lib/oss/etc/installed_drivers


# /etc/init.d/oss start 
 * Starting OSS ...
Relinking OSS kernel modules for "2.6.24-rc3-zen1 SMP preempt mod_unload CORE2 "
This may take few moments - please stand by...
Relinking OSS kernel modules finished
/usr/sbin/soundon: line 181: 14897 Segmentation fault   /usr/sbin/ossdetect -d >> $LOG 2>&1

OSS started OK


After that only osscore is loaded...
OSS4 compiled by hand works great.
Comment 24 Tomasz Mon 2007-11-21 17:50:28 UTC
(In reply to comment #23)
> /usr/sbin/soundon: line 38:  7872 Segmentation fault   /usr/sbin/ossdetect -v

emerge --info
please
Comment 25 Michał Lipski 2007-11-21 18:17:11 UTC
(In reply to comment #24)
> emerge --info
> please
> 

http://tallica.pl/emerge-info
Comment 26 Cristi Magherusan 2007-11-25 10:31:50 UTC
No offense, but if you really want to get some help stop being a ricer and use a normal/supported/official kernel.
Comment 27 Michał Lipski 2007-11-25 10:50:31 UTC
(In reply to comment #26)
> No offense, but if you really want to get some help stop being a ricer and use
> a normal/supported/official kernel.
> 

Why do you think its kernel... as you can see above OSS4 compiled manually works perfect...
Comment 28 Michał Lipski 2007-11-25 19:01:32 UTC
On gentoo-sources (normal/supported/official kernel :]):

# /etc/init.d/oss start
 * Caching service dependencies ...                                                                                                                    [ ok ]
 * Starting OSS ...
/usr/sbin/soundon: line 38: 12935 Segmentation fault   /usr/sbin/ossdetect -v >> $LOG
No /usr/lib/oss/etc/installed_drivers - cannot continue
/dev/mixer: No such file or directory
 * Failed to start OSS
 

# touch /usr/lib/oss/etc/installed_drivers

 
# /etc/init.d/oss start
 * Starting OSS ...
Relinking OSS kernel modules for "2.6.22-gentoo-r8 SMP preempt mod_unload CORE2 "
This may take few moments - please stand by...
Relinking OSS kernel modules finished
/usr/sbin/soundon: line 181: 18560 Segmentation fault   /usr/sbin/ossdetect -d >> $LOG 2>&1

OSS started OK
/dev/mixer: No such file or directory
 * Failed to start OSS
 
As you can see it's not kernel problem....
Comment 29 Michał Lipski 2007-11-25 19:29:42 UTC
I've just tried oss-4.0.1008-r2.ebuild and it works! Modules are loaded, no segmentation faults... WTF? I'm 99% sure its not my system configuration...
Maybe 4front-tech changed something in source package: oss-v4.0-build1009-src-gpl.tar.bz2? And the problem is soundon_no_libsalsa.patch?

Could someone make md5 sums of oss-v4.0-build1009-src-gpl.tar.bz2?

Would be great if someone could rebuild oss4 with redownloaded source package. Thanks!
Comment 30 Cristi Magherusan 2007-11-26 08:49:07 UTC
Ok, so if it's not a kernel issue let's see what can be done about this...

I tried to reproduce it too: did a "rm -r /lib/modules/`uname -r`/kernel/oss" then "emerge oss;/etc/init.d/oss start" and it still works like a charm, so couldn't reproduce it. My kernel is 2.6.22-gentoo-r9.

Please try debugging ossdetect with gdb or strace and see what makes it crash.
Also you can modifyi the 1009 ebuild and restore the sed commands from 1008, remove the patch and see if that fixes anything.

I removed the sources from the distfiles directory, and it seems the sources haven't changed since the release. This is the MD5:
MD5 960d55170e9ec467e9200c6521dfc5ab oss-v4.0-build1009-src-gpl.tar.bz2 1327365
Comment 31 Drew Patridge 2007-12-01 21:26:09 UTC
Created attachment 137503 [details]
oss-v4.1test0-071114 test drop ebuild

here is my ebuild for the oss-v4.1test0-071114 test drop

this build builds against the 2.6.23 kernel ok, and contains the long awaited open sourced envy24* drivers!

i also made one new patch, and updated the soundon_no_libsalsa patch to patch cleanly against this version...  they'll follow this attachment
Comment 32 Drew Patridge 2007-12-01 21:26:59 UTC
Created attachment 137504 [details, diff]
updated for oss-v4.1test0-071114
Comment 33 Drew Patridge 2007-12-01 21:29:32 UTC
Created attachment 137506 [details, diff]
srcconf patch to make it configure correctly

this patch is thanks to seawright, his original is found here:
http://www.4front-tech.com/forum/viewtopic.php?p=6667&sid=e6de291573e3415834a0818e4842f184
Comment 34 Stephan Sokolow 2007-12-05 12:09:01 UTC
If anyone wants to know how to jerry-rig Timidity onto this so Wine has a MIDI output path for older games, I've written up a guide. It's a bit fragile, but it works.

http://blog.ssokolow.com/archives/2007/12/05/how-to-get-timidity-to-work-more-or-less-as-a-software-synth-with-oss-4/

I've been having some DNS problems lately, so if you see an error 404, try again later. I'm looking into alternate hosting.
Comment 35 Thomas Kuther 2007-12-14 11:49:36 UTC
What is wrong with using epatch in the ebuild?


(In reply to comment #2)
> Ive found two ebuilds in audio overlay:
Uhoh, the 4.0 ebuild was never even tested nor meant to work. 
The rc8 one somewhat worked, but doing the patches was too much a pita.
Comment 36 Drew Patridge 2007-12-15 19:14:20 UTC
(In reply to comment #35)
> What is wrong with using epatch in the ebuild?

well, the oss build system is what...  this thing uses the most insane build system i've ever seen, and it makes epatch cry.  it's possible to use epatch, but just horribly frustrating.  as an example, it is impossible to apply my srcconf patch to the 4.1 testing branch using epatch.  it just won't patch.
Comment 37 Drew Patridge 2007-12-15 20:03:20 UTC
Created attachment 138566 [details]
oss-v4.1test0-071126 test drop ebuild

As far as I can tell, most of the changes are to Intel HDAudio.

The srcconf problem is still there, and they haven't taken the clue to remove libsalsa yet.
Comment 38 Drew Patridge 2007-12-15 20:06:22 UTC
Created attachment 138567 [details, diff]
oss-v4.1test0-071126 patch to remove libsalsa

i've decided to adjust my patching method a little, from now on, most of the time these patches will merely need to be version-bumped to work on new versions.
Comment 39 Drew Patridge 2007-12-15 20:07:16 UTC
Created attachment 138569 [details]
oss-v4.1test0-071126 patch to fix srcconf

i've decided to adjust my patching method a little, from now on, most of the time these patches will merely need to be version-bumped to work on new versions.
Comment 40 Cristi Magherusan 2007-12-19 01:32:18 UTC
Hello, 

I have set up a mercurial repo containing some OSS4 ebuilds, included the version bump to the last stable build, 1011. Some of the older ones may be broken, but who cares :p

You can get it by running "hg clone http://hg.atheme.org/users/majeru/portage-overlay"

Best regards,
Cristi
Comment 41 Thomas Kuther 2008-01-02 17:39:46 UTC
Created attachment 139887 [details, diff]
oss-gentoo_install_sh.patch

I've ported my gentoo-install.sh patch to recent version.
It simply makes the install.sh which is run on first soundon more gentoo'ish

There is also a patch to gentoo'ify the remove/restore alsa modules and an ebuild with some basic kernel checks (alsa modules etc) in here:
http://gimpel.ath.cx/svn/gimpel/media-sound/oss

Maybe look over it and merge what you like in your ebuild
(I don't want to mess up the attatchment list here by uploading all that)
Comment 42 Michał Lipski 2008-02-06 12:41:47 UTC
Created attachment 142815 [details]
OSS init file
Comment 43 Michał Lipski 2008-02-06 12:42:25 UTC
Created attachment 142817 [details, diff]
OSS install.sh patch
Comment 44 Michał Lipski 2008-02-06 12:42:56 UTC
Created attachment 142819 [details, diff]
OSS soundon no libsalsa patch
Comment 45 Michał Lipski 2008-02-06 12:44:12 UTC
Created attachment 142820 [details]
Ebuild for OSS 4.0 build1013

Some ossxmix seg. fault fixing included. Hope you'll like it!
Comment 46 Cristi Magherusan 2008-02-06 12:58:27 UTC
hello,

Thanks for your feedback, but could you please just post somewhere a hg diff output generated against my current overlay. It would be alot easier for me to merge that than more single files. 

Also, i guess that would make you the author of that particular changeset.

Best regards,
Cristi
Comment 47 Nick Cunningham 2008-02-07 23:27:48 UTC
Currently getting a compile error on ~amd64:

seq_output.c: In function 'convert_event':
seq_output.c:257: error: 'SND_SEQ_EVENT_SAMPLE' undeclared (first use in this function)
seq_output.c:257: error: (Each undeclared identifier is reported only once
seq_output.c:257: error: for each function it appears in.)
seq_output.c:260: error: 'SND_SEQ_EVENT_SAMPLE_CLUSTER' undeclared (first use in this function)
seq_output.c:263: error: 'SND_SEQ_EVENT_SAMPLE_START' undeclared (first use in this function)
seq_output.c:266: error: 'SND_SEQ_EVENT_SAMPLE_STOP' undeclared (first use in this function)
seq_output.c:269: error: 'SND_SEQ_EVENT_SAMPLE_FREQ' undeclared (first use in this function)
seq_output.c:272: error: 'SND_SEQ_EVENT_SAMPLE_VOLUME' undeclared (first use in this function)
seq_output.c:275: error: 'SND_SEQ_EVENT_SAMPLE_LOOP' undeclared (first use in this function)
seq_output.c:278: error: 'SND_SEQ_EVENT_SAMPLE_POSITION' undeclared (first use in this function)
seq_output.c:281: error: 'SND_SEQ_EVENT_SAMPLE_PRIVATE1' undeclared (first use in this function)
seq_output.c:314: error: 'SND_SEQ_EVENT_INSTR_BEGIN' undeclared (first use in this function)
seq_output.c:317: error: 'SND_SEQ_EVENT_INSTR_END' undeclared (first use in this function)
seq_output.c:320: error: 'SND_SEQ_EVENT_INSTR_INFO' undeclared (first use in this function)
seq_output.c:323: error: 'SND_SEQ_EVENT_INSTR_INFO_RESULT' undeclared (first use in this function)
seq_output.c:326: error: 'SND_SEQ_EVENT_INSTR_FINFO' undeclared (first use in this function)
seq_output.c:329: error: 'SND_SEQ_EVENT_INSTR_FINFO_RESULT' undeclared (first use in this function)
seq_output.c:332: error: 'SND_SEQ_EVENT_INSTR_RESET' undeclared (first use in this function)
seq_output.c:335: error: 'SND_SEQ_EVENT_INSTR_STATUS' undeclared (first use in this function)
seq_output.c:338: error: 'SND_SEQ_EVENT_INSTR_STATUS_RESULT' undeclared (first use in this function)
seq_output.c:341: error: 'SND_SEQ_EVENT_INSTR_PUT' undeclared (first use in this function)
seq_output.c:344: error: 'SND_SEQ_EVENT_INSTR_GET' undeclared (first use in this function)
seq_output.c:347: error: 'SND_SEQ_EVENT_INSTR_GET_RESULT' undeclared (first use in this function)
seq_output.c:350: error: 'SND_SEQ_EVENT_INSTR_FREE' undeclared (first use in this function)
seq_output.c:353: error: 'SND_SEQ_EVENT_INSTR_LIST' undeclared (first use in this function)
seq_output.c:356: error: 'SND_SEQ_EVENT_INSTR_LIST_RESULT' undeclared (first use in this function)
seq_output.c:359: error: 'SND_SEQ_EVENT_INSTR_CLUSTER' undeclared (first use in this function)
seq_output.c:362: error: 'SND_SEQ_EVENT_INSTR_CLUSTER_GET' undeclared (first use in this function)
seq_output.c:365: error: 'SND_SEQ_EVENT_INSTR_CLUSTER_RESULT' undeclared (first use in this function)
seq_output.c:368: error: 'SND_SEQ_EVENT_INSTR_CHANGE' undeclared (first use in this function)
make[2]: *** [seq_output.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
seq.c:1698: error: 'SND_SEQ_EVENT_SAMPLE' undeclared here (not in a function)
seq.c:1698: error: 'SND_SEQ_EVENT_SAMPLE_PRIVATE1' undeclared here (not in a function)
seq.c:1698: error: array index in initializer not of integer type
seq.c:1698: error: (near initialization for 'snd_seq_event_types')
seq.c:1702: error: 'SND_SEQ_EVENT_INSTR_BEGIN' undeclared here (not in a function)
seq.c:1702: error: 'SND_SEQ_EVENT_INSTR_CHANGE' undeclared here (not in a function)
seq.c:1702: error: array index in initializer not of integer type
seq.c:1702: error: (near initialization for 'snd_seq_event_types')
make[2]: *** [seq.lo] Error 1
 gcc -I../../include -c timer.c -o timer.o >/dev/null 2>&1
 gcc -I../../include -c seqmid.c -o seqmid.o >/dev/null 2>&1
 gcc -I../../include -c stubs.c  -fPIC -DPIC -o .libs/stubs.o
 gcc -I../../include -c stubs.c -o stubs.o >/dev/null 2>&1
make[1]: *** [subdirs] Error 1
make: *** [subdirs] Error 1

!!! ERROR in media-sound/oss-4.0.1013:
!!! In src_compile at line 3567
!!! emake build failed 
Comment 48 Cristi Magherusan 2008-02-07 23:44:49 UTC
Hello,

The Alsa API was changed in the latest alsa-lib (>=1.0.16), and OSS stable is currently incompatible with it. 
My latest OSS ebuild (the one from my mercurial overlay) has a blocker against those alsa-lib versions, so it won't let you install OSS at all if you have them. You can either install OSS from the mercurial repo, or downgrade your alsa-lib to 1.0.15. 
Most likely, the next stable release will work, and then I'll remove that blocker.

Cristi
Comment 49 Nick Cunningham 2008-02-07 23:48:41 UTC
(In reply to comment #48)
> Hello,
> 
> The Alsa API was changed in the latest alsa-lib (>=1.0.16), and OSS stable is
> currently incompatible with it. 
> My latest OSS ebuild (the one from my mercurial overlay) has a blocker against
> those alsa-lib versions, so it won't let you install OSS at all if you have
> them. You can either install OSS from the mercurial repo, or downgrade your
> alsa-lib to 1.0.15. 
> Most likely, the next stable release will work, and then I'll remove that
> blocker.
> 
> Cristi
> 

Bah, i had thought that alsa my the problem, but when i tried it i was using you overlay with the blocker in place (at least from looking at the comments) yet i didnt get any errors so assumed all was ok. Il go downgrade alsa-lib then. Cheers!
Comment 50 Nick Cunningham 2008-02-07 23:52:23 UTC
(In reply to comment #49)
> (In reply to comment #48)
> > Hello,
> > 
> > The Alsa API was changed in the latest alsa-lib (>=1.0.16), and OSS stable is
> > currently incompatible with it. 
> > My latest OSS ebuild (the one from my mercurial overlay) has a blocker against
> > those alsa-lib versions, so it won't let you install OSS at all if you have
> > them. You can either install OSS from the mercurial repo, or downgrade your
> > alsa-lib to 1.0.15. 
> > Most likely, the next stable release will work, and then I'll remove that
> > blocker.
> > 
> > Cristi
> > 
> 
> Bah, i had thought that alsa my the problem, but when i tried it i was using
> you overlay with the blocker in place (at least from looking at the comments)
> yet i didnt get any errors so assumed all was ok. Il go downgrade alsa-lib
> then. Cheers!
> 
Actually, on looking further, i dont have *any* version of alsa-lib installed, only alsa-headers. Perhaps a dep or use flag is needed to pull in the correct alsa-lib?
Comment 51 Nick Cunningham 2008-02-07 23:58:41 UTC
Actually, ignore me, im being both blind and stupid. Will teach me to post bugs so late at night. Apologies for bugzilla spam.
Comment 52 Tomasz Mon 2008-02-10 18:31:19 UTC
I've updated majeru's overlay 2 days ago.

After my change it seems to be working fine on 2.6.24, although some people using 2.6.23 had problems with it.
Could anyone confirm it working?
Comment 53 Andy 2008-02-19 19:47:47 UTC
The oss-4.0.1013.ebuild fails on amd64 if used with a gcc version other than 4.1.2 (4.2.3 in my case), because of the following hard-coded links to gcc 4.1.2:

x86_64-pc-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/crtbeginS.o  .libs/main.o .libs/output.o .libs/misc.o .libs/pcm.o .libs/mix.o .libs/seq.o .libs/seqmid.o .libs/rawmidi.o .libs/seq_output.o .libs/timer.o .libs/stubs.o .libs/seq_input.o  -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../lib64/crtn.o  -Wl,--version-script=Versions -Wl,-soname -Wl,libsalsa.so.2 -o .libs/libsalsa.so.2.0.0
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../lib64/crti.o: No such file or directory
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/crtbeginS.o: No such file or directory
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/crtendS.o: No such file or directory
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/4.1.2/../../../../lib64/crtn.o: No such file or directory
make[2]: *** [libsalsa.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-sound/oss-4.0.1013/work/build/lib/libsalsa'
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/oss-4.0.1013/work/build/lib'
make: *** [subdirs] Error 1
 *
 * ERROR: media-sound/oss-4.0.1013 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2379:  Called die
 * The specific snippet of code:
 *       emake build || die "emake build failed";
 *  The die message:
 *   emake build failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/oss-4.0.1013/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/oss-4.0.1013/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *

To solve this I simply made the following symbolic link:

home ~ # ls -l /usr/lib/gcc/x86_64-pc-linux-gnu
total 2
lrwxrwxrwx 1 root root    5 2008-02-19 20:42 4.1.2 -> 4.2.3
drwxr-xr-x 5 root root 1504 2008-02-18 17:18 4.2.3
Comment 54 Michal Kurgan (RETIRED) gentoo-dev 2008-02-20 17:32:29 UTC
(In reply to comment #53)
> [ ... ]

Are you sure that your problem is not related to fix_libtool_files.sh?
Comment 55 Andy 2008-02-20 20:53:02 UTC
Following your advice, I just ran 'fix_libtool_files.sh 4.1.2' and tried emerging oss-4.0.1013 again, but it failed with the same error.

I am not really worried about this however. All I wanted was to see whether the promised support for SB X-Fi is there, but it's not. My card is not detected with this build. My other card, Audigy2, works as expected, but that one works with anything anyway.
Comment 56 Jochums Johannes 2008-03-18 23:04:00 UTC
(In reply to comment #53)
emerge oss-4.0.1013
I had the same error as in #53... but got it solved by removing all the SND
modules from the kernel ...(ALSA conflict vs userspace OSS?)
/etc/init.d/start did not work until after a reboot

I use the 32bit flash plugin in 64bit Firefox trough nswrapper
the sound did not work until I did:
ln -s /dev/dsp0 /dev/dsp

emerge --info
Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gentoo-r9 x86_64)
=================================================================
System uname: 2.6.23-gentoo-r9 x86_64 Intel(R) Core(TM)2 Quad CPU @ 2.93GHz
Timestamp of tree: Tue, 18 Mar 2008 15:16:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17-r1
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/oss-overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl amd64 berkdb cli cracklib crypt cups dbus dri dvdr fortran gdbm gpm gtk hal iconv ipv6 isdnlog jpeg midi mmx mng mudflap ncurses nls nptl nptlonly opengl openmp oss pam pcre pdf perl png pppd python readline reflection session smp spl sse sse2 ssl startup-notification svg tcpd tiff unicode wmf xcomposite xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 57 Christian Speckner 2008-05-19 18:37:50 UTC
Created attachment 153689 [details]
oss init script which kills all processes accessing oss prior to stopping

I have attached a modified version of the OSS init script included in the overlay (as described in http://gentoo-wiki.com/Howto_OSS4) which takes care to kill all processes accessing OSS prior to stopping the service. Very handy for automatic stopping prior to a suspend :)
Comment 58 Shaun Bouckaert 2008-11-22 23:40:39 UTC
oss-4.0.1013

 gcc -I../../include -c seqmid.c  -fPIC -DPIC -o .libs/seqmid.o
seq.c:1698: error: ‘SND_SEQ_EVENT_SAMPLE’ undeclared here (not in a function)
seq.c:1698: error: ‘SND_SEQ_EVENT_SAMPLE_PRIVATE1’ undeclared here (not in a function)
seq.c:1698: error: array index in initializer not of integer type
seq.c:1698: error: (near initialization for ‘snd_seq_event_types’)
seq.c:1702: error: ‘SND_SEQ_EVENT_INSTR_BEGIN’ undeclared here (not in a function)
seq.c:1702: error: ‘SND_SEQ_EVENT_INSTR_CHANGE’ undeclared here (not in a function)
seq.c:1702: error: array index in initializer not of integer type
seq.c:1702: error: (near initialization for ‘snd_seq_event_types’)
make[2]: *** [seq.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
 gcc -I../../include -c seqmid.c -o seqmid.o >/dev/null 2>&1
make[2]: Leaving directory `/var/tmp/portage/media-sound/oss-4.0.1013/work/build/lib/libsalsa'
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/oss-4.0.1013/work/build/lib'
make: *** [subdirs] Error 1
 *
 * ERROR: media-sound/oss-4.0.1013 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2338:  Called die
 * The specific snippet of code:
 *       emake build || die "emake build failed";
 *  The die message:
 *   emake build failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/oss-4.0.1013/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/oss-4.0.1013/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *

emerge --info

jitterbug ~ # emerge --info
Portage 2.1.4.5 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r9-jitterbug i686)
=================================================================
System uname: 2.6.25-gentoo-r9-jitterbug i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Timestamp of tree: Sun, 16 Nov 2008 01:31:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r7
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=prescott -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="candy distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.swin.edu.au/gentoo "
LANG="en_AU.UTF8"
LC_ALL="en_AU.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_AU en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa bash-completion berkdb bzip2 cairo cdr cli cpufreq cracklib crypt dbus dri dvd fam fontconfig fortran gdbm gif gpm hal iconv ipv6 isdnlog java jpeg jpeg2k kde lzo midi mmx mudflap ncurses nls nptl nptlonly offensive opengl openmp pam pcre perl png pppd python qt3 readline reflection sdl session spell spl sqlite sse sse2 ssl startup-notification svg sysfs tcpd threads tiff truetype unicode x86 xorg xprint zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" DVB_CARDS="usb-bluebird" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_AU en_GB" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 59 Lars Wendler (Polynomial-C) gentoo-dev 2008-12-22 04:58:05 UTC
Created attachment 176122 [details, diff]
oss-4.1.1050-build-fixes.patch
Comment 60 Lars Wendler (Polynomial-C) gentoo-dev 2008-12-22 04:58:22 UTC
Created attachment 176124 [details, diff]
oss-4.1.1050-install_sh.patch
Comment 61 Lars Wendler (Polynomial-C) gentoo-dev 2008-12-22 04:58:45 UTC
Created attachment 176125 [details, diff]
oss-4.1.1050-soundon_no_libsalsa.patch
Comment 62 Lars Wendler (Polynomial-C) gentoo-dev 2008-12-22 05:04:51 UTC
Created attachment 176126 [details]
oss-4.1.1050.ebuild

Bump to latest version.
Minor improvements. Some (R)DEPEND cleanup, added missing quotiation marks and tried to make the ossxmix compilation cross-compile safe.
Comment 63 Cristi Magherusan 2008-12-22 12:50:12 UTC
Hello,

please create a diff against the current HEAD of the oss-overlay layman repo stored at http://hg.atheme.org/users/majeru/portage-overlay

Best regards,
Cristi

Comment 64 Christian Speckner 2008-12-28 14:21:23 UTC
Created attachment 176605 [details]
Modified ebuild for 4.1-1051
Comment 65 Christian Speckner 2008-12-28 14:22:19 UTC
Created attachment 176607 [details, diff]
Modified build-fix patch for 4.1.1051
Comment 66 Christian Speckner 2008-12-28 14:22:49 UTC
Created attachment 176609 [details, diff]
Patch for ossxmix, see below
Comment 67 Christian Speckner 2008-12-28 14:23:41 UTC
ossxmix is segfaulting randomly for me and displaying no controls beside vmix if it doesn't (this is gtk 2.12.11, intel hda on a thinkpad T60). It seems the mixer controls don't get initialized properly on startup; I've attached a patch that fixes this. I've also bumped the ebuild to oss-4.1.1051; I basically just created a new build-fixes patch (the old one wouldn't apply), copied the other two patches and added a epatch for the ossxmixer problem.
Comment 68 Christian Speckner 2009-01-01 18:25:18 UTC
Created attachment 177020 [details, diff]
Revised verstion of the patch to ossxmix

My previous patch fails if there is more than one device present in the system, this one hopefully cures this.
Comment 69 Andrey A. Ugolnik 2009-01-19 15:00:20 UTC
File oss-4.1.1051-install_sh.patch is absent
Comment 70 Andrey A. Ugolnik 2009-01-19 15:10:46 UTC
I use oss-4.1.1050-soundon_no_libsalsa.patch and oss-4.1.1050-install_sh.patch files with oss-4.1.1051.ebuild
Comment 71 Andrey A. Ugolnik 2009-01-19 15:14:40 UTC
After building oss-4.1.1051.ebuild and /etc/init.d/oss start ossinfo show me:

Version info: OSS 4.0 (b1016/200809191016) (0x00040003) GPL
Platform: Linux/i686 2.6.28-gentoo #2 SMP PREEMPT Wed Jan 14 19:55:36 EET 2009 (localhost)

Whats wrong?
Comment 72 Christian Speckner 2009-01-19 15:35:21 UTC
< File oss-4.1.1051-install_sh.patch is absent

Huh? I can download it from the file list above.

(In reply to comment #71)
> After building oss-4.1.1051.ebuild and /etc/init.d/oss start ossinfo show me:
> 
> Version info: OSS 4.0 (b1016/200809191016) (0x00040003) GPL
> Platform: Linux/i686 2.6.28-gentoo #2 SMP PREEMPT Wed Jan 14 19:55:36 EET 2009
> (localhost)
> 
> Whats wrong?
> 

Dunno, do have an older version of oss4 that you have installed manually and that you accidently forgot to remove (completely). Ouput looks like

Version info: OSS 4.1 (b 1051/200812311320) (0x00040100) GPL
Platform: Linux/i686 2.6.24-gentoo-r8 #4 SMP PREEMPT Wed Dec 31 14:26:30 CET 2008

for me.
Comment 73 Cristi Magherusan 2009-01-19 20:44:12 UTC
Please try the ebuild from the oss-overlay layman overlay and then report any feedbac/issues in here, and feel free to send patches that may fix it. 
Those should be more up to date and easier to follow, since it's always easier to handle an ebuild stored in an overlay that one from the bugzilla.

Best regards,
Cristi
Comment 74 Andraž Vrhovec 2009-02-01 09:58:14 UTC
(In reply to comment #73)
> Please try the ebuild from the oss-overlay layman overlay and then report any
> feedbac/issues in here, and feel free to send patches that may fix it. 
> Those should be more up to date and easier to follow, since it's always easier
> to handle an ebuild stored in an overlay that one from the bugzilla.
> 
> Best regards,
> Cristi
> 

http://bugs.gentoo.org/show_bug.cgi?id=257192



Comment 75 steffen stramm 2009-02-10 22:03:45 UTC
Created attachment 181575 [details, diff]
patch for compile against 2.6.29
Comment 76 steffen stramm 2009-02-10 22:04:33 UTC
Created attachment 181577 [details]
oss ebuild that uses the 2.6.29 patch
Comment 77 Brendan 2009-02-23 10:58:50 UTC
Can we change the overlay location from:
http://hg.atheme.org/users/majeru/portage-overlay
to
http://hg.atheme.org/users/majeru/portage-overlay

(as per http://4front-tech.com/forum/viewtopic.php?p=11904&sid=922445af0ea46d4f5d880670cad5da79)

Otherwise layman sync will fail claiming:
>>pulling from http://hg.atheme.org/users/majeru/portage-overlay
>>real URL is http://hg.atheme.org/
>>abort: 'http://hg.atheme.org/' does not appear to be an hg repository!
Comment 78 Brendan 2009-02-24 06:02:14 UTC
Sorry, that new address should read:
http://hg.atheme.org/hgwebdir.cgi/users/majeru/portage-overlay


(In reply to comment #77)
> Can we change the overlay location from:
> http://hg.atheme.org/users/majeru/portage-overlay
> to
> http://hg.atheme.org/users/majeru/portage-overlay
> 
> (as per
> http://4front-tech.com/forum/viewtopic.php?p=11904&sid=922445af0ea46d4f5d880670cad5da79)
> 
> Otherwise layman sync will fail claiming:
> >>pulling from http://hg.atheme.org/users/majeru/portage-overlay
> >>real URL is http://hg.atheme.org/
> >>abort: 'http://hg.atheme.org/' does not appear to be an hg repository!
> 

Comment 79 Philip D Loewen 2009-04-05 02:59:29 UTC
Problem: When I say
  # emerge -va media-sound/oss
the system goes looking for
  [ebuild  N    ] media-sound/oss-4.1.1051  1,648 kB [1]
and fails to find it, as follows:
>>> Emerging (1 of 1) media-sound/oss-4.1.1051 from majeru
>>> Downloading 'http://www.4front-tech.com/developer/sources/stable/gpl/oss-v4.1-build1051-src-gpl.tar.bz2'
--2009-04-04 19:50:13--  http://www.4front-tech.com/developer/sources/stable/gpl/oss-v4.1-build1051-src-gpl.tar.bz2
Resolving www.4front-tech.com... 194.218.216.11
Connecting to www.4front-tech.com|194.218.216.11|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-04-04 19:50:14 ERROR 404: Not Found.

!!! Couldn't download 'oss-v4.1-build1051-src-gpl.tar.bz2'. Aborting.

Surfing over to the directory mentioned in the transcript above reveals that there is no file with the desired name. There is a file in which "1052" replaces "1051" in the file name, but I don't know how to communicate that fact to portage. Do you? [Of course I did a fresh "eix-sync" and "layman -S" before receiving these errors.]
Comment 80 Nicholas J. Michalek 2009-05-18 13:39:29 UTC
So... any updates on this? =)
Comment 81 Aline de Freitas 2009-07-19 11:45:09 UTC
I had to rename patches with minor version 4.1.1050 to 4.1.1051. My ebuild structure is this:

./media-sound
./media-sound/oss
./media-sound/oss/files
./media-sound/oss/files/oss-4.1.1051-kernel-2.6.29.patch
./media-sound/oss/files/oss-4.1.1051-build-fixes.patch
./media-sound/oss/files/oss-4.1.1051-install_sh.patch
./media-sound/oss/files/oss-4.1.1051-soundon_no_libsalsa.patch
./media-sound/oss/files/oss-4.1.1051-fix_ossxmix.patch
./media-sound/oss/files/oss
./media-sound/oss/oss-4.1.1051.ebuild

And everything seems to be working. My sound card (crappy sis ac97) is working better than i thought it could. Thanks all!
Comment 82 PLL 2009-08-04 08:09:43 UTC
*** oss-4.1.1052-r1.ebuild.old  2009-08-03 18:56:18.231849093 -0500
--- oss-4.1.1052-r1.ebuild      2009-08-03 19:56:31.863852120 -0500
***************
*** 11,20 ****
  LICENSE="GPL-2"
  SLOT="0"
  KEYWORDS="~amd64 ~x86"
! IUSE=""

  DEPEND="sys-apps/gawk
!       >=x11-libs/gtk+-2
        >=sys-kernel/linux-headers-2.6.11
        !media-sound/oss-devel"

--- 11,20 ----
  LICENSE="GPL-2"
  SLOT="0"
  KEYWORDS="~amd64 ~x86"
! IUSE="gtk"

  DEPEND="sys-apps/gawk
!       gtk? ( >=x11-libs/gtk+-2 )
        >=sys-kernel/linux-headers-2.6.11
        !media-sound/oss-devel"

I am using the oss-overlay, added a little modification so it doesn't pull all the x11 libraries into my console only instalation. 

I have been testing it, I haven't found any problems aside from having to run "ossdetect" after the emerge.
Comment 83 Cristi Magherusan 2009-08-04 09:08:24 UTC
Applied, committed and pushed. Please send unified diffs, or even better, hg export output from now on.

Thanks for sharing this with us,
Cristi
Comment 84 Hongjiu Zhang 2009-12-15 06:52:09 UTC
The sources for 4.1.1052 might changed. Maybe a new 4.2 version is released:

http://www.4front-tech.com/forum/viewtopic.php?f=19&t=3476

And for hardened users, we might need to disable pie for this packages. inherit flag-o-matic and filter-flags -pie.
Comment 85 Hongjiu Zhang 2009-12-15 06:52:57 UTC
again tested that 1052 is not fetchable while 1016 is. maybe the overlay's 1052 might be 1051? (just a guess...)
Comment 86 Hongjiu Zhang 2009-12-15 06:57:42 UTC
i'm sorry that it's 1052b now.
Comment 87 Hongjiu Zhang 2009-12-15 16:09:25 UTC
Created attachment 213095 [details]
new ebuild for 4.1.1052b

maybe the ebuild name should be renamed to oss-4.1.1052b.ebuild

removed gcc-43 patch and 2.6.30 patch which is already applied.

the new sources does not accpet --enable-libsalsa=YES but --xxxx=NO is accepted, which is wierd. but this is the truth so i rewrite the corresponding part.

add some preprocessing about hardened flags. no -pie should be use for kernel modules. however, this might also affect those userland programmes. so i am looking for split ebuild for userland programmes and the kernel modules. this will also help make kernel modules management more elegant (i mean we can use module-rebuild to rebuild those modules after we upgrade our kernel, instead of update it with init script.)
Comment 88 Hongjiu Zhang 2009-12-15 16:19:55 UTC
Sorry that the ebuild does not work as i guessed. the filter-flags does not even affect it.
Comment 89 Hongjiu Zhang 2009-12-16 02:47:03 UTC
Created attachment 213154 [details]
New ebuild for oss-4.1.1052b

Fixed the hardened nopie problem.
Comment 90 Hongjiu Zhang 2009-12-16 02:47:52 UTC
Created attachment 213155 [details, diff]
No pie for kernel modules patch
Comment 91 Hongjiu Zhang 2009-12-16 03:35:09 UTC
Created attachment 213156 [details]
Ebuild for oss-4.2.2002

btw, in the oss-4.1.1052b ebuild. i found two flaws: first, there should be no FIXME, since the nopie patch now only affect kernel modules, while userspace programmes are still built with pie enabled. second, since i don't know how to use the function to get 1052b instead of 1052, i manually add a "b" in ${MY_P}, which might be deprecated.

this is for 4.2.2002, which is free from both the flaws above.
Comment 92 Hongjiu Zhang 2009-12-16 03:36:11 UTC
Created attachment 213157 [details, diff]
No pie for kernel modules patch (4.2build2002)

4.2.2002 new patch to avoid pie kernel modules.
Comment 93 Hongjiu Zhang 2009-12-16 13:45:30 UTC
Created attachment 213194 [details]
new ebuild for 4.2.2002

This ebuild generate kernel modules at emerging time instead of generate it afterwards. The code is rather ugly, imo, and needs to be polished. Tested on my own laptop but it still might break your system.
Comment 94 JohnLM 2010-09-13 16:24:44 UTC
My rig failed to build the last ebuild (id=213194). You might consider it unstable.
For the record I'm running 2.6.34-r6 gentoo-sources (amd64) kernel. (more info needed?)

The thing was... compiling went fine, but building of modules completely failed.
The thing tried to get/make files in root tree (while it should do it in it's build environment).

If you are affected by this use previous ebuild (id=213156). It builds modules outside ebuild environment causing no such problems.

Some info in http://forums.gentoo.org/viewtopic-t-844318.html might be of use to you.
Comment 95 Hongjiu Zhang 2011-12-29 18:46:48 UTC
Created attachment 297327 [details, diff]
Patch for hardened-source building

Newest 4.2.2005 does not build with hardened-sources. This is the patch to fix.
Comment 96 Hongjiu Zhang 2011-12-29 18:49:55 UTC
Created attachment 297331 [details]
ebuild for 4.2 build 2005

New ebuild. with pax_kernel fix.
Comment 97 Marcus Becker 2012-07-29 16:00:07 UTC
Created attachment 319606 [details]
oss-4.2.2005.ebuild

fixed IUSE and updated text to say 'enjoy OSS 4.2'
Comment 98 Marcus Becker 2012-07-29 18:38:48 UTC
Created attachment 319624 [details]
remove_wWerror.patch

remove -Werror for Linux builds, prevented to build gtk gui for me...
Comment 99 Marcus Becker 2012-07-29 21:01:23 UTC
Created attachment 319632 [details]
oss-4.2.2006.ebuild

new version...
Comment 100 Andrey Aleksandrovich 2014-08-12 18:18:31 UTC
Created attachment 382776 [details]
oss-4.2.2009.ebuild